.wlsn-article {
  overflow: visible;
}

.wlsn-article__inner {
  display: flex;
  flex-direction: column;
  gap: 3.2rem;
}

@media screen and (min-width: 1024px) {
  .wlsn-article__inner {
    gap: 2.4rem;
  }
}

/* ------------------------------------------------------------ */
/* HERO CONTENT */
/* ------------------------------------------------------------ */
.wlsn-article__hero-content {
  background: var(--wlsn-color-primary-3);
  display: flex;
  flex-direction: column-reverse;
}

.wlsn-article__hero-content-inner {
  padding: 2rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 2.4rem;
  height: auto;
}

.wlsn-article__hero-content-top {
  display: flex;
  flex-direction: column;
  gap: 0.8rem;
}

.wlsn-article__hero-info {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 0.8rem 1.6rem;
}

.wlsn-article__hero-info-item {
  display: flex;
  align-items: center;
  gap: 0.8rem;
  padding: 0.6rem 0.9rem;
  border: 1px solid var(--wlsn-color-primary-1);
  border-radius: 10rem;

  .wlsn-icon {
    width: 2.4rem;
    height: 2.4rem;
  }
}

.wlsn-article__hero-content-image {
  width: 100%;
  overflow: hidden;

  img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    object-position: center;
  }
}

@media screen and (max-width: 1023px) {
  .wlsn-article__hero-content-image {
    border-radius: 0.6rem 0.6rem 0 0;
  }

  .wlsn-article__hero-content-inner {
    border-radius: 0 0 0.6rem 0.6rem;
    border-right: 0.1rem solid var(--wlsn-color-primary-2);
    border-bottom: 0.1rem solid var(--wlsn-color-primary-2);
    border-left: 0.1rem solid var(--wlsn-color-primary-2);
  }
}

@media screen and (min-width: 1024px) {
  .wlsn-article__hero-content {
    flex-direction: row;
  }

  .wlsn-article__hero-content-top {
    gap: 1.6rem;
  }

  .wlsn-article__hero-content-image,
  .wlsn-article__hero-content-inner {
    flex: 1 1 50%;
    min-width: 0;
    max-width: 50%;
  }

  .wlsn-article__hero-content-image {
    border-radius: 0 1.2rem 1.2rem 0;
  }

  .wlsn-article__hero-content-inner {
    padding: 3.2rem;
    border-radius: 1.2rem 0 0 1.2rem;
    border-top: 0.1rem solid var(--wlsn-color-primary-2);
    border-bottom: 0.1rem solid var(--wlsn-color-primary-2);
    border-left: 0.1rem solid var(--wlsn-color-primary-2);
  }
}

/* ------------------------------------------------------------ */
/* CONTENT */
/* ------------------------------------------------------------ */
.wlsn-article__content {
  display: flex;
}

.wlsn-article__content-aside {
  position: relative;
  z-index: 10;
}

.wlsn-article__content-aside-inner {
  display: flex;
  flex-direction: column;
}

.wlsn-article__content-main {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 3.2rem;

  .wlsn-article__content-tag-slide {
    width: fit-content;
  }

  .wlsn-article__content-tag-slider.swiper-initialized:after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.00) 0%, #FFF 100%);
    z-index: 1;
    width: 9rem;
  }
}

.wlsn-article__content-tags {
  display: flex;
  flex-wrap: wrap;
  gap: 0.8rem 1.6rem;
}

.wlsn-article__content-tag {
  padding: 0.7rem 1.5rem;
  border: 1px solid var(--wlsn-color-primary-1);
  border-radius: 10rem;
}

@media screen and (max-width: 1023px) {
  .wlsn-article__content {
    flex-direction: column;
    gap: 3.2rem;
  }
  
  .wlsn-article__content-aside-inner {
    width: 100%;
    gap: 3.2rem;

    .wlsn-product-card__content {
      --wlsn-product-card-content-padding-top: 3.2rem;
      --wlsn-product-card-content-padding-bottom: 3.2rem;
      --wlsn-product-card-content-padding-left: 1.6rem;
      --wlsn-product-card-content-padding-right: 1.6rem;
    }
    .wlsn-product-card__inner {
      --wlsn-product-card-gap: 0;
    }
  }
}

@media screen and (min-width: 1024px) {
  .wlsn-article__content-main {
    gap: 4rem;
  }

  .wlsn-article__content {
    flex-direction: row;
    gap: 4.8rem;
  }

  .wlsn-article__content:not(.wlsn-article__content--no-aside) {
    .wlsn-article__content-aside-inner {
      position: sticky;
      top: var(--wlsn-header-height);
      gap: 2.4rem;
    }

    .wlsn-article__content-aside {
      flex: 1 1 38.7%;
      max-width: 38.7%;
      width: 100%;

      .wlsn-product-card__content {
        --wlsn-product-card-content-padding-top: 2.4rem;
        --wlsn-product-card-content-padding-bottom: 2.4rem;
        --wlsn-product-card-content-padding-left: 2rem;
        --wlsn-product-card-content-padding-right: 2rem;
      }
      .wlsn-product-card__inner {
        --wlsn-product-card-gap: 0;
      }
    }

    .wlsn-article__content-main {
      flex: 1 1 61.3%;
      max-width: 61.3%;
      width: 100%;
    }
  }
}

/* ------------------------------------------------------------ */
/* RICH TEXT CONTENT */
/* ------------------------------------------------------------ */

.wlsn-article__content-rich-text {
  h1, h2, h3, h4, h5, h6 {
    color: var(--wlsn-color-black-2);
    margin: 0;
  }

  h1, h2 {
    &:not(:first-child) {
      margin-top: 3.2rem;
    }
    &:not(:last-child) {
      margin-bottom: 1.6rem;
    }
  }

  section {
    &:not(:first-child) {
      margin-top: 3.2rem;
    }
    &:not(:last-child) {
      margin-top: 3.2rem;
    }
  }

  h3, h4, h5, h6 {
    &:not(:first-child) {
      margin-top: 1.2rem;
    }
    &:not(:last-child) {
      margin-bottom: 1.2rem;
    }
  }

  h1 {
    font-size: 3.3rem;
    line-height: 120%;
  }
  h2 {
    font-size: 3rem;
    line-height: 120%;
  }
  h3 {
    font-size: 2.5rem;
    line-height: 120%;
  }
  h4 {
    font-size: 2rem;
    line-height: 120%;
  }
  p {
    color: var(--wlsn-color-black-3);
    &:not(:last-child) {
      margin-bottom: 1.6rem;
    }
  }
  a {
    color: var(--wlsn-color-primary-1);
    text-decoration: underline;
  }
  a, p {
    font-size: 1.5rem;
    line-height: 150%;
  }

  ul, ol {
    margin-top: 1.6rem;
    margin-bottom: 1.6rem;
  }

  img {
    aspect-ratio: 315/215;
    border-radius: 0.6rem;
    object-fit: cover;
    overflow: hidden;
    width: 100%;
    height: auto;
    margin: 3.2rem 0
  }

  @media screen and (min-width: 1024px) {
    h1, h2 {
      &:not(:last-child) {
        margin-bottom: 4rem;
      }
    }
    h3, h4, h5, h6 {
      &:not(:first-child) {
        margin-top: 1.6rem;
      }
      &:not(:last-child) {
        margin-bottom: 1.6rem;
      }
    }
    h1 {
      font-size: 4.5rem;
      line-height: 120%;
    }
    h2 {
      font-size: 4rem;
      line-height: 120%;
    }
    h3 {
      font-size: 3.2rem;
      line-height: 120%;
    }
    h4 {
      font-size: 2.4rem;
      line-height: 130%;
    }
    a, p {
      font-size: 1.6rem;
      line-height: 150%;
    }
    a:hover {
      text-decoration: none;
    }
    img {
      aspect-ratio: 788/494;
      margin: 4rem 0;
    }
  }
}